1a0d638da135fe62f943545b5e100aae5a9956ea
[csit.git] / resources / libraries / bash / entry / bootstrap_verify_perf.sh
1 #!/usr/bin/env bash
2
3 # Copyright (c) 2018 Cisco and/or its affiliates.
4 # Licensed under the Apache License, Version 2.0 (the "License");
5 # you may not use this file except in compliance with the License.
6 # You may obtain a copy of the License at:
7 #
8 #     http://www.apache.org/licenses/LICENSE-2.0
9 #
10 # Unless required by applicable law or agreed to in writing, software
11 # distributed under the License is distributed on an "AS IS" BASIS,
12 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
13 # See the License for the specific language governing permissions and
14 # limitations under the License.
15
16 set -exuo pipefail
17
18 # Assumptions:
19 # + There is a directory holding CSIT code to use (this script is there).
20 # + At least one of the following is true:
21 # ++ JOB_NAME environment variable is set,
22 # ++ or this entry script has access to arguments.
23 # Consequences (and specific assumptions) are multiple,
24 # examine tree of functions for current description.
25
26 # FIXME: Define API contract (as opposed to just help) for bootstrap.
27
28 # "set -eu" handles failures from the following two lines.
29 BASH_ENTRY_DIR="$(dirname $(readlink -e "${BASH_SOURCE[0]}"))"
30 BASH_FUNCTION_DIR="$(readlink -e "${BASH_ENTRY_DIR}/../function")"
31 source "${BASH_FUNCTION_DIR}/common.sh" || {
32     echo "Source failed." >&2
33     exit 1
34 }
35 source "${BASH_FUNCTION_DIR}/gather.sh" || die "Source failed."
36 common_dirs || die
37 get_test_code "${1-}" || die
38 get_test_tag_string || die
39 select_topology || die
40 gather_build || die
41 check_download_dir || die
42 activate_virtualenv "${CSIT_DIR}" || die
43 reserve_testbed || die
44 select_tags || die
45 compose_pybot_arguments || die
46 run_pybot || die
47 untrap_and_unreserve_testbed || die
48 copy_archives || die
49 die_on_pybot_error || die